using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.ServiceModel;

namespace UnifiedPOS.SpeechSynthesis.V1_4
{
    [ServiceContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/")]
    public interface SpeechSynthesis
    {
        #region Version 1.4

        //
        // Common Properties
        //

        //[OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetAutoDisable", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetAutoDisableResponse")]
        //[FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        //bool GetAutoDisable(string ConsumerID);

        //[OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/SetAutoDisable", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/SetAutoDisableResponse")]
        //[FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        //void SetAutoDisable(string ConsumerID, bool AutoDisable);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetCapCompareFirmwareVersion", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetCapCompareFirmwareVersionResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        bool GetCapCompareFirmwareVersion(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetCapPowerReporting", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetCapPowerReportingResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        PowerReporting GetCapPowerReporting(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetCapStatisticsReporting", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetCapStatisticsReportingResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        bool GetCapStatisticsReporting(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetCapUpdateFirmware", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetCapUpdateFirmwareResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        bool GetCapUpdateFirmware(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetCapUpdateStatistics", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetCapUpdateStatisticsResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        bool GetCapUpdateStatistics(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetCheckHealthText", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetCheckHealthTextResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        string GetCheckHealthText(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetClaimed", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetClaimedResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        bool GetClaimed(string ConsumerID);

        //[OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetDataCount", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetDataCountResponse")]
        //[FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        //int GetDataCount(string ConsumerID);

        //[OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetDataEventEnabled", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetDataEventEnabledResponse")]
        //[FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        //bool GetDataEventEnabled(string ConsumerID);

        //[OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/SetDataEventEnabled", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/SetDataEventEnabledResponse")]
        //[FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        //void SetDataEventEnabled(string ConsumerID, bool DataEventEnabled);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetDeviceEnabled", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetDeviceEnabledResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        bool GetDeviceEnabled(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/SetDeviceEnabled", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/SetDeviceEnabledResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        void SetDeviceEnabled(string ConsumerID, bool DeviceEnabled);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetFreezeEvents", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetFreezeEventsResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        bool GetFreezeEvents(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/SetFreezeEvents", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/SetFreezeEventsResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        void SetFreezeEvents(string ConsumerID, bool FreezeEvents);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetOutputID", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetOutputIDResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        int GetOutputID(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetPowerNotify", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetPowerNotifyResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        PowerNotification GetPowerNotify(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/SetPowerNotify", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/SetPowerNotifyResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        void SetPowerNotify(string ConsumerID, PowerNotification PowerNotify);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetPowerState", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetPowerStateResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        PowerState GetPowerState(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetState", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetStateResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        ControlState GetState(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetDeviceControlDescription", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetDeviceControlDescriptionResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        string GetDeviceControlDescription(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetDeviceControlVersion", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetDeviceControlVersionResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        UposVersion GetDeviceControlVersion(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetDeviceServiceDescription", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetDeviceServiceDescriptionResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        string GetDeviceServiceDescription(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetDeviceServiceVersion", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetDeviceServiceVersionResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        UposVersion GetDeviceServiceVersion(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetPhysicalDeviceDescription", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetPhysicalDeviceDescriptionResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        string GetPhysicalDeviceDescription(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetPhysicalDeviceName", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetPhysicalDeviceNameResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        string GetPhysicalDeviceName(string ConsumerID);

        //
        // Specific Properties
        //

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetCapLanguage", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetCapLanguageResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        bool GetCapLanguage(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetCapPitch", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetCapPitchResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        bool GetCapPitch(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetCapSpeed", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetCapSpeedResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        bool GetCapSpeed(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetCapVoice", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetCapVoiceResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        bool GetCapVoice(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetCapVolume", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetCapVolumeResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        bool GetCapVolume(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetLanguage", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetLanguageResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        string GetLanguage(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/SetLanguage", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/SetLanguageResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        void SetLanguage(string ConsumerID, string Language);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetLanguageList", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetLanguageListResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        LanguageList GetLanguageList(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetOutputIDList", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetOutputIDListResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        OutputIDList GetOutputIDList(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetPitch", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetPitchResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        int GetPitch(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/SetPitch", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/SetPitchResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        void SetPitch(string ConsumerID, int Pitch);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetSpeed", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetSpeedResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        int GetSpeed(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/SetSpeed", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/SetSpeedResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        void SetSpeed(string ConsumerID, int Speed);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetVoice", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetVoiceResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        string GetVoice(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/SetVoice", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/SetVoiceResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        void SetVoice(string ConsumerID, string Voice);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetVoiceList", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetVoiceListResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        VoiceList GetVoiceList(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetVolume", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetVolumeResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        int GetVolume(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/SetVolume", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/SetVolumeResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        void SetVolume(string ConsumerID, int Volume);

        //
        // Common Methods
        //

        //[OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/Open", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/OpenResponse")]
        //[FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        //void Open(string ConsumerID, string EndpointAddress);

        //[OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/Close", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/CloseResponse")]
        //[FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        //void Close(string ConsumerID, string EndpointAddress);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/Claim", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/ClaimResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        void Claim(string ConsumerID, int Timeout);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/Release", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/ReleaseResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        void Release(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/CheckHealth", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/CheckHealthResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        void CheckHealth(string ConsumerID, HealthCheckLevel Level);

        //[OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/ClearInput", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/ClearInputResponse")]
        //[FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        //void ClearInput(string ConsumerID);

        // [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/ClearInputProperties", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/ClearInputPropertiesResponse")]
        // [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        // void ClearInputProperties(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/ClearOutput", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/ClearOutputResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        void ClearOutput(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/DirectIO", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/DirectIOResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        DirectIOData DirectIO(string ConsumerID, int Command, int Data, object Obj);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/CompareFirmwareVersion", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/CompareFirmwareVersionResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        CompareFirmwareResult CompareFirmwareVersion(string ConsumerID, string FirmwareFileName);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/ResetStatistics", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/ResetStatisticsResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        void ResetStatistics(string ConsumerID, StatisticList StatisticsBuffer);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/RetrieveStatistics", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/RetrieveStatisticsResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        string RetrieveStatistics(string ConsumerID, StatisticList StatisticsBuffer);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UpdateFirmware", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UpdateFirmwareResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        void UpdateFirmware(string ConsumerID, string FirmwareFileName);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UpdateStatistics", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UpdateStatisticsResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        void UpdateStatistics(string ConsumerID, StatisticList StatisticsBuffer);

        //
        // Specific Methods
        //

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/Speak", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/SpeakResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        void Speak(string ConsumerID, string Text);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/SpeakImmediate", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/SpeakImmediateResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        void SpeakImmediate(string ConsumerID, string Text);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/StopCurrentSpeaking", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/StopCurrentSpeakingResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        void StopCurrentSpeaking(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/StopSpeaking", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/StopSpeakingResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        void StopSpeaking(string ConsumerID, int OutputID);

        //
        // Session Management
        //

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetWSPOSVersion", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetWSPOSVersionResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        UposVersion GetWSPOSVersion();

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GenerateConsumerID", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GenerateConsumerIDResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        string GenerateConsumerID();

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/OpenSession", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/OpenSessionResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        void OpenSession(string ConsumerID, string EndpointAddress);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/CloseSession", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/CloseSessionResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        void CloseSession(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetProviderSessionTimeout", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetProviderSessionTimeoutResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        int GetProviderSessionTimeout(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/KeepAlive", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/KeepAliveResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        void KeepAlive(string ConsumerID);

        //
        // Device Control
        //

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/OpenDevice", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/OpenDeviceResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        void OpenDevice(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/CloseDevice", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/CloseDeviceResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        void CloseDevice(string ConsumerID);

        //
        // Event Polling
        //

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/PollForUPOSEvent", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/PollForUPOSEventResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        SpeechSynthesisEvent PollForUPOSEvent(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/SetEventResponse", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/SetEventResponseResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        void SetEventResponse(string ConsumerID, SpeechSynthesisEventResponse EventResponse);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetEncryptedClaimedConsumerID", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/GetEncryptedClaimedConsumerIDResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        string GetEncryptedClaimedConsumerID();

        //[OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/SetEventRequestProperties", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/SetEventRequestPropertiesResponse")]
        //[FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/UposException", Name = "UposException")]
        //void SetEventRequestProperties(string ConsumerID, PropertyNameList list);

        #endregion Version 1.4
    }

    #region Version 1.4

    //
    // Common Data Types
    //

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/")]
    public class DirectIOData
    {
        [DataMember]
        public int Data { get; set; }

        [DataMember]
        public object Obj { get; set; }
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/")]
    public class UposException
    {
        [DataMember]
        public ErrorCode ErrorCode { get; set; }

        [DataMember]
        public int ErrorCodeExtended { get; set; }
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/")]
    public class UposVersion
    {
        [DataMember]
        public int Major { get; set; }

        [DataMember]
        public int Minor { get; set; }

        [DataMember]
        public int Build { get; set; }
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/")]
    public class Statistic
    {
        [DataMember]
        public string Name { get; set; }

        [DataMember]
        public string Value { get; set; }
    }

    [CollectionDataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/", ItemName = "Statistic")]
    public class StatisticList : List<Statistic>
    {
    }

    //
    // Common Enumerations
    //

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/")]
    public enum CompareFirmwareResult
    {
        [EnumMember]
        CFV_FIRMWARE_OLDER,

        [EnumMember]
        CFV_FIRMWARE_SAME,

        [EnumMember]
        CFV_FIRMWARE_NEWER,

        [EnumMember]
        CFV_FIRMWARE_DIFFERENT,

        [EnumMember]
        CFV_FIRMWARE_UNKNOWN,
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/")]
    public enum ControlState
    {
        [EnumMember]
        S_CLOSED,

        [EnumMember]
        S_IDLE,

        [EnumMember]
        S_BUSY,

        [EnumMember]
        S_ERROR,
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/")]
    public enum ErrorCode
    {
        [EnumMember]
        E_CLOSED,

        [EnumMember]
        E_CLAIMED,

        [EnumMember]
        E_NOTCLAIMED,

        [EnumMember]
        E_NOSERVICE,

        [EnumMember]
        E_DISABLED,

        [EnumMember]
        E_ILLEGAL,

        [EnumMember]
        E_NOHARDWARE,

        [EnumMember]
        E_OFFLINE,

        [EnumMember]
        E_NOEXIST,

        [EnumMember]
        E_EXISTS,

        [EnumMember]
        E_FAILURE,

        [EnumMember]
        E_TIMEOUT,

        [EnumMember]
        E_BUSY,

        [EnumMember]
        E_EXTENDED,

        [EnumMember]
        E_DEPRECATED,
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/")]
    public enum HealthCheckLevel
    {
        [EnumMember]
        CH_INTERNAL,

        [EnumMember]
        CH_EXTERNAL,

        [EnumMember]
        CH_INTERACTIVE,
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/")]
    public enum PowerNotification
    {
        [EnumMember]
        PN_DISABLED,

        [EnumMember]
        PN_ENABLED,
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/")]
    public enum PowerReporting
    {
        [EnumMember]
        PR_NONE,

        [EnumMember]
        PR_STANDARD,

        [EnumMember]
        PR_ADVANCED,
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/")]
    public enum PowerState
    {
        [EnumMember]
        PS_UNKNOWN,

        [EnumMember]
        PS_ONLINE,

        [EnumMember]
        PS_OFF,

        [EnumMember]
        PS_OFFLINE,

        [EnumMember]
        PS_OFF_OFFLINE,
    }

    /*
    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/")]
    public enum StatisticCategories
    {
        [EnumMember]
        All,
        [EnumMember]
        Manufacturer,
        [EnumMember]
        Upos,
    }
    */

    public class StatisticCategories
    {
        public const string All = "";
        public const string Manufacturer = "M_";
        public const string Upos = "U_";
    }

    //
    // Specific Data Types
    //

    //
    // Specific Enumerations
    //

    [CollectionDataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/", ItemName = "Language")]
    public class LanguageList : List<string>
    {
    }

    [CollectionDataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/", ItemName = "OutputID")]
    public class OutputIDList : List<int>
    {
    }

    [CollectionDataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/", ItemName = "Voice")]
    public class VoiceList : List<string>
    {
    }

    //
    // Constants
    //

    public class ExtendedError
    {
        public const int EFIRMWARE_BAD_FILE = 281;
        public const int ESTATS_ERROR = 280;
        public const int ESTATS_DEPENDENCY = 282;
    }

    public class StatisticProperties
    {
        public const string CommunicationErrorCount = "CommunicationErrorCount";
        public const string DeviceCategory = "DeviceCategory";
        public const string FirmwareRevision = "FirmwareRevision";
        public const string HoursPoweredCount = "HoursPoweredCount";
        public const string InstallationDate = "InstallationDate";
        public const string Interface = "Interface";
        public const string ManufactureDate = "ManufactureDate";
        public const string ManufacturerName = "ManufacturerName";
        public const string MechanicalRevision = "MechanicalRevision";
        public const string ModelName = "ModelName";
        public const string SerialNumber = "SerialNumber";
        public const string UnifiedPOSVersion = "UnifiedPOSVersion";
    }

    public class Wait
    {
        public const int FOREVER = -1;
    }

    //
    // Event Polling
    //

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/")]
    public class SpeechSynthesisEvent
    {
        //[DataMember]
        //public DataEvent DataEvent { get; set; }
        [DataMember]
        public DirectIOEvent DirectIOEvent { get; set; }

        [DataMember]
        public ErrorEvent ErrorEvent { get; set; }

        [DataMember]
        public OutputCompleteEvent OutputCompleteEvent { get; set; }

        [DataMember]
        public StatusUpdateEvent StatusUpdateEvent { get; set; }

        //[DataMember]
        //public DataContainedEvent DataContainedEvent { get; set; }
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/")]
    public class SpeechSynthesisEventResponse
    {
        //[DataMember]
        //public DataEventResponse DataEventResponse { get; set; }
        //[DataMember]
        //public DataContainedEventResponse DataContainedEventResponse { get; set; }
        [DataMember]
        public DirectIOEventResponse DirectIOEventResponse { get; set; }

        [DataMember]
        public ErrorEventResponse ErrorEventResponse { get; set; }

        [DataMember]
        public OutputCompleteEventResponse OutputCompleteEventResponse { get; set; }

        [DataMember]
        public StatusUpdateEventResponse StatusUpdateEventResponse { get; set; }
    }

    /*
    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/")]
    public class DataEvent
    {
        [DataMember]
        public string Source { get; set; }
        [DataMember]
        public int EventID { get; set; }
        [DataMember]
        public DateTime TimeStamp { get; set; }
        [DataMember]
        public int Status { get; set; }
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/")]
    public class DataEventResponse
    {
        [DataMember]
        public int EventID { get; set; }
    }
    */

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/")]
    public class DirectIOEvent
    {
        [DataMember]
        public string Source { get; set; }

        [DataMember]
        public int EventID { get; set; }

        [DataMember]
        public DateTime TimeStamp { get; set; }

        [DataMember]
        public int EventNumber { get; set; }

        [DataMember]
        public int Data { get; set; }

        [DataMember]
        public object Obj { get; set; }
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/")]
    public class DirectIOEventResponse
    {
        [DataMember]
        public int EventID { get; set; }

        [DataMember]
        public DirectIOData DirectIOData { get; set; }
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/")]
    public class ErrorEvent
    {
        [DataMember]
        public string Source { get; set; }

        [DataMember]
        public int EventID { get; set; }

        [DataMember]
        public DateTime TimeStamp { get; set; }

        [DataMember]
        public ErrorCode ErrorCode { get; set; }

        [DataMember]
        public int ErrorCodeExtended { get; set; }

        [DataMember]
        public ErrorLocus ErrorLocus { get; set; }

        [DataMember]
        public ErrorResponse ErrorResponse { get; set; }
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/")]
    public class ErrorEventResponse
    {
        [DataMember]
        public int EventID { get; set; }

        [DataMember]
        public ErrorResponse ErrorResponse { get; set; }
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/")]
    public class OutputCompleteEvent
    {
        [DataMember]
        public string Source { get; set; }

        [DataMember]
        public int EventID { get; set; }

        [DataMember]
        public DateTime TimeStamp { get; set; }

        [DataMember]
        public int OutputID { get; set; }
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/")]
    public class OutputCompleteEventResponse
    {
        [DataMember]
        public int EventID { get; set; }
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/")]
    public class StatusUpdateEvent
    {
        [DataMember]
        public string Source { get; set; }

        [DataMember]
        public int EventID { get; set; }

        [DataMember]
        public DateTime TimeStamp { get; set; }

        [DataMember]
        public int Status { get; set; }
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/")]
    public class StatusUpdateEventResponse
    {
        [DataMember]
        public int EventID { get; set; }
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/")]
    public enum ErrorLocus
    {
        [EnumMember]
        EL_OUTPUT,
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/")]
    public enum ErrorResponse
    {
        [EnumMember]
        ER_CLEAR,

        [EnumMember]
        ER_RETRY,
    }

    /*
    [CollectionDataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/", ItemName = "PropertyName")]
    public class PropertyNameList : List<string>
    {
    }

    [CollectionDataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/", ItemName = "Parameter")]
    public class ParameterList : Dictionary<string, object>
    {
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/")]
    public class DataContainedEvent
    {
        [DataMember]
        public string Source { get; set; }
        [DataMember]
        public int EventID { get; set; }
        [DataMember]
        public DateTime TimeStamp { get; set; }
        [DataMember]
        public int Status { get; set; }
        [DataMember]
        public ParameterList Parameters { get; set; }
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/")]
    public class DataContainedEventData
    {
        [DataMember]
        public int EventID { get; set; }
        [DataMember]
        public bool SetDataEventEnabled { get; set; }
        [DataMember]
        public bool CallClearInputProperties { get; set; }
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SpeechSynthesis/")]
    public class DataContainedEventResponse
    {
        [DataMember]
        public int EventID { get; set; }
        [DataMember]
        public bool SetDataEventEnabled { get; set; }
        [DataMember]
        public bool CallClearInputProperties { get; set; }
    }
    */

    #endregion Version 1.4
}